## e-gdata-query e-gdata-query — A GData (Google Data) query parameters |

## Functions

EGDataQuery * | e_gdata_query_new ()
EGDataQuery * | e_gdata_query_ref ()
void | e_gdata_query_unref ()
gchar * | e_gdata_query_to_string ()
void | e_gdata_query_set_max_results ()
gint | e_gdata_query_get_max_results ()
void | e_gdata_query_set_completed_max ()
gint64 | e_gdata_query_get_completed_max ()
void | e_gdata_query_set_completed_min ()
gint64 | e_gdata_query_get_completed_min ()
void | e_gdata_query_set_due_max ()
gint64 | e_gdata_query_get_due_max ()
void | e_gdata_query_set_due_min ()
gint64 | e_gdata_query_get_due_min ()
void | e_gdata_query_set_show_completed ()
gboolean | e_gdata_query_get_show_completed ()
void | e_gdata_query_set_show_deleted ()
gboolean | e_gdata_query_get_show_deleted ()
void | e_gdata_query_set_show_hidden ()
gboolean | e_gdata_query_get_show_hidden ()
void | e_gdata_query_set_updated_min ()
gint64 | e_gdata_query_get_updated_min ()

## Types and Values

| EGDataQuery

## Object Hierarchy

        GBoxed
        ╰── EGDataQuery

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The EGDataQuery is a structure to limit listing of GData objects. Not every parameter can be used with every object list function.

## Functions

### e_gdata_query_new ()

    EGDataQuery *
    e_gdata_query_new (void);

Creates a new EGDataQuery. Free it with `e_gdata_query_unref()`, when no longer needed.

#### Returns

a new EGDataQuery.

[transfer full]

Since: 3.46

### e_gdata_query_ref ()

    EGDataQuery *
    e_gdata_query_ref (EGDataQuery *self);

Increases the reference count of the `self` . The added reference shuld be removed with `e_gdata_query_unref()`.

#### Parameters

self | an EGDataQuery |

#### Returns

the `self`

Since: 3.46

### e_gdata_query_unref ()

    void
    e_gdata_query_unref (EGDataQuery *self);

Decreases the reference count of the `self` . When the reference count reaches 0, the `self` is freed.

#### Parameters

self | an EGDataQuery |

Since: 3.46

### e_gdata_query_to_string ()

    gchar *
    e_gdata_query_to_string (EGDataQuery *self);

Converts the `self` into a string, which can be used as a URI query. The returned string should be freed with `g_free()`, when no longer needed.

#### Parameters

self | an EGDataQuery |

#### Returns

the `self` converted into a string, or `NULL`, when the `self` doesn't have set any parameter.

[transfer full][nullable]

Since: 3.46

### e_gdata_query_set_max_results ()

    void
    e_gdata_query_set_max_results (EGDataQuery *self,
                                   gint value);

Sets max results to be returned in one call.

This can be used for any object query.

#### Parameters

self | an EGDataQuery |
value | a value to set |

Since: 3.46

### e_gdata_query_get_max_results ()

    gint
    e_gdata_query_get_max_results (EGDataQuery *self,
                                   gboolean *out_exists);

Gets current value of the max results property. When not set, returns 0. The optional `out_exists` can be used to see whether the property is set.

#### Parameters

self | an EDataQuery |
out_exists | an out argument, where can be set whether the property exists, or `NULL`. | [out][optional]

#### Returns

the set value, or 0

Since: 3.46

### e_gdata_query_set_completed_max ()

    void
    e_gdata_query_set_completed_max (EGDataQuery *self,
                                     gint64 value);

Sets upper bound for a task's completion date, as a Unix date/time, to filter by. The default is not to filter by completion date.

This can be used for Task object query only.

#### Parameters

self | an EGDataQuery |
value | a value to set, as a Unix date/time |

Since: 3.46

### e_gdata_query_get_completed_max ()

    gint64
    e_gdata_query_get_completed_max (EGDataQuery *self,
                                     gboolean *out_exists);

Gets current value of the completed max property, as a Unix date/time. When not set, returns -1. The optional `out_exists` can be used to see whether the property is set.

#### Parameters

self | an EDataQuery |
out_exists | an out argument, where can be set whether the property exists, or `NULL`. | [out][optional]

#### Returns

the set value, or -1

Since: 3.46

### e_gdata_query_set_completed_min ()

    void
    e_gdata_query_set_completed_min (EGDataQuery *self,
                                     gint64 value);

Sets lower bound for a task's completion date, as a Unix date/time, to filter by. The default is not to filter by completion date.

This can be used for Task object query only.

#### Parameters

self | an EGDataQuery |
value | a value to set, as a Unix date/time |

Since: 3.46

### e_gdata_query_get_completed_min ()

    gint64
    e_gdata_query_get_completed_min (EGDataQuery *self,
                                     gboolean *out_exists);

Gets current value of the completed min property, as a Unix date/time. When not set, returns -1. The optional `out_exists` can be used to see whether the property is set.

#### Parameters

self | an EDataQuery |
out_exists | an out argument, where can be set whether the property exists, or `NULL`. | [out][optional]

#### Returns

the set value, or -1

Since: 3.46

### e_gdata_query_set_due_max ()

    void
    e_gdata_query_set_due_max (EGDataQuery *self,
                               gint64 value);

Sets upper bound for a task's due date, as a Unix date/time, to filter by. The default is not to filter by due date.

This can be used for Task object query only.

#### Parameters

self | an EGDataQuery |
value | a value to set, as a Unix date/time |

Since: 3.46

### e_gdata_query_get_due_max ()

    gint64
    e_gdata_query_get_due_max (EGDataQuery *self,
                               gboolean *out_exists);

Gets current value of the due max property, as a Unix date/time. When not set, returns -1. The optional `out_exists` can be used to see whether the property is set.

#### Parameters

self | an EDataQuery |
out_exists | an out argument, where can be set whether the property exists, or `NULL`. | [out][optional]

#### Returns

the set value, or -1

Since: 3.46

### e_gdata_query_set_due_min ()

    void
    e_gdata_query_set_due_min (EGDataQuery *self,
                               gint64 value);

Sets lower bound for a task's due date, as a Unix date/time, to filter by. The default is not to filter by due date.

This can be used for Task object query only.

#### Parameters

self | an EGDataQuery |
value | a value to set, as a Unix date/time |

Since: 3.46

### e_gdata_query_get_due_min ()

    gint64
    e_gdata_query_get_due_min (EGDataQuery *self,
                               gboolean *out_exists);

Gets current value of the due min property, as a Unix date/time. When not set, returns -1. The optional `out_exists` can be used to see whether the property is set.

#### Parameters

self | an EDataQuery |
out_exists | an out argument, where can be set whether the property exists, or `NULL`. | [out][optional]

#### Returns

the set value, or -1

Since: 3.46

### e_gdata_query_set_show_completed ()

    void
    e_gdata_query_set_show_completed (EGDataQuery *self,
                                      gboolean value);

Sets a flag indicating whether completed tasks are returned in the result. The default is True. Note that show hidden should also be True to show tasks completed in first party clients, such as the web UI and Google's mobile apps.

This can be used for Task object query only.

#### Parameters

self | an EGDataQuery |
value | a value to set |

Since: 3.46

### e_gdata_query_get_show_completed ()

    gboolean
    e_gdata_query_get_show_completed (EGDataQuery *self,
                                      gboolean *out_exists);

Gets current value of the show completed property. When not set, returns `FALSE`. The optional `out_exists` can be used to see whether the property is set.

#### Parameters

self | an EDataQuery |
out_exists | an out argument, where can be set whether the property exists, or `NULL`. | [out][optional]

#### Returns

the set value, or `FALSE`

Since: 3.46

### e_gdata_query_set_show_deleted ()

    void
    e_gdata_query_set_show_deleted (EGDataQuery *self,
                                    gboolean value);

Sets a flag indicating whether deleted tasks are returned in the result. The default is False.

This can be used for Task object query only.

#### Parameters

self | an EGDataQuery |
value | a value to set |

Since: 3.46

### e_gdata_query_get_show_deleted ()

    gboolean
    e_gdata_query_get_show_deleted (EGDataQuery *self,
                                    gboolean *out_exists);

Gets current value of the show deleted property. When not set, returns `FALSE`. The optional `out_exists` can be used to see whether the property is set.

#### Parameters

self | an EDataQuery |
out_exists | an out argument, where can be set whether the property exists, or `NULL`. | [out][optional]

#### Returns

the set value, or `FALSE`

Since: 3.46

### e_gdata_query_set_show_hidden ()

    void
    e_gdata_query_set_show_hidden (EGDataQuery *self,
                                   gboolean value);

Sets a flag indicating whether hidden tasks are returned in the result. The default is False.

This can be used for Task object query only.

#### Parameters

self | an EGDataQuery |
value | a value to set |

Since: 3.46

### e_gdata_query_get_show_hidden ()

    gboolean
    e_gdata_query_get_show_hidden (EGDataQuery *self,
                                   gboolean *out_exists);

Gets current value of the show hidden property. When not set, returns `FALSE`. The optional `out_exists` can be used to see whether the property is set.

#### Parameters

self | an EDataQuery |
out_exists | an out argument, where can be set whether the property exists, or `NULL`. | [out][optional]

#### Returns

the set value, or `FALSE`

Since: 3.46

### e_gdata_query_set_updated_min ()

    void
    e_gdata_query_set_updated_min (EGDataQuery *self,
                                   gint64 value);

Sets lower bound for a task's last modification time, as a Unix date/time, to filter by. The default is not to filter by the last modification time.

This can be used for Task object query only.

#### Parameters

self | an EGDataQuery |
value | a value to set, as a Unix date/time |

Since: 3.46

### e_gdata_query_get_updated_min ()

    gint64
    e_gdata_query_get_updated_min (EGDataQuery *self,
                                   gboolean *out_exists);

Gets current value of the updated min property, as a Unix date/time. When not set, returns -1. The optional `out_exists` can be used to see whether the property is set.

#### Parameters

self | an EDataQuery |
out_exists | an out argument, where can be set whether the property exists, or `NULL`. | [out][optional]

#### Returns

the set value, or -1

Since: 3.46

## Types and Values

### EGDataQuery

    typedef struct _EGDataQuery EGDataQuery;

Since: 3.46